Morpho - Bug #1234

remove eml2 dependency from DataPackageFactory->getDataPackage(Node) method
12/09/2003 03:10 PM - Matthew Brooke

Status: Resolved Start date: 12/09/2003
Priority: Normal Due date:

Assignee: Dan Higgins % Done: 0%
Category: morpho - general Estimated time: 0.00 hour
Target version: Postpone Spent time: 0.00 hour
Bugzilla-ld: 1234

Description

public static AbstractDataPackage getDataPackage(Node node) method should be
changed to inspect the passed DOM ("node" param) in order to find the value for
the "doctype" that should be used for the "dp.grammar" setting. For now, it is
hardcoded for emi2

History

#1 - 12/29/2003 10:52 AM - Dan Higgins

The getDataPackage(Node node) method in DataPackageFactory class has been
modified to actually check the DOM indicated by the node parameter to determine
the grammar setting (i.e. the docType). Currently only eml2.0.0 doctypes are
handled, but it is planned that the DataPackageFactory will be modified as new
doctypes are created.

#2 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1234
